
Ruby - Bug #3774

irbで日本語が入力できない

09/01/2010 12:48 AM - xibbar (Takeyuki FUJIOKA)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version: 1.9.3   

ruby -v: ruby 1.9.3dev (2010-08-31 trunk 29154)

[x86_64-darwin10.4.0]

Backport:  

Description

=begin

rvm install ruby-head -C --with-readline-dir=/opt/local

でインストールしたirbで日本語を入力できない。

1.9.2だったらできるので、オプションで与えたreadlineがうまく組み込まれないようです。

1.9.2とtrunk両方のmkmf.logを添付します。

=end

History

#1 - 09/01/2010 12:55 AM - naruse (Yui NARUSE)

- Status changed from Open to Rejected

=begin

headの方には以下のように出ています。

73 ../.././include/ruby/ruby.h:1419:1: warning: this is the location of the previous definition

74 conftest.c:5:2: error: #error GPLv2 incompatible

つまり、GPLv2互換チェックで蹴られている→readline6だからですね。

readline5を使ってください。

なお、まだメールを書けていないRuby's Licenseの変更が通ればこれは使えるようになりますな。

=end

#2 - 09/01/2010 01:09 AM - xibbar (Takeyuki FUJIOKA)

=begin

rvm install ruby-head -C --with-readline-dir=/opt/local --enable-readline-v6

だといけました。

=end

Files

mkmf.log.192 101 KB 09/01/2010 xibbar (Takeyuki FUJIOKA)

mkmf.log.head 38.2 KB 09/01/2010 xibbar (Takeyuki FUJIOKA)
